curl --request POST \
--url https://api.hubapi.com/crm/v3/associations/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "37295"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "53628"
},
"to": [
{
"id": "12726",
"type": "contact_to_company"
},
{
"id": "61352",
"type": "contact_to_company"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Mit diesem Endpunkt können Sie mehrere Zuordnungen zwischen spezifischen „Von“- und „Zu“-Objekttypen in einer einzelnen Batch-Anforderung abrufen.
curl --request POST \
--url https://api.hubapi.com/crm/v3/associations/{fromObjectType}/{toObjectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "37295"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"from": {
"id": "53628"
},
"to": [
{
"id": "12726",
"type": "contact_to_company"
},
{
"id": "61352",
"type": "contact_to_company"
}
]
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Der Typ des Quellobjekts in der Zuordnung.
Der Typ des Zielobjekts in der Zuordnung.
Anzeigen untergeordnete attribute
successful operation
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Vorgang abgeschlossen wurde.
Anzeigen untergeordnete attribute
Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Vorgang gestartet wurde.
Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten: PENDING, PROCESSING, CANCELED, COMPLETE.
CANCELED, COMPLETE, PENDING, PROCESSING Anzeigen untergeordnete attribute
URLs mit Verknüpfungen zu Ressourcen oder Dokumentation, die dem Batch-Vorgang zugeordnet sind.
Anzeigen untergeordnete attribute
Die Anzahl der während des Batch-Vorgangs aufgetretenen Fehler.
Der Zeitpunkt (Datum und Uhrzeit), zu dem die Batch-Anfrage gestellt wurde.